:
#
# @(#)ez_zmoby.sh - v2.0 - Ubbs/Zmodem (MobyTurbo) interface shell script
#
# Author: Jf Gagnon
# Jan-31-1991 20h10
#
# Revision history
# Nov-14-1994 Jf Gagnon
#             Adjust for Linux and Ubbs v1.0
#

# command line check up
if [ $# -lt 1 ] ; then
  exit 255
fi

# initialization
EXEDIR=/home/bbs/bin
LOG=ubxfer.log

#stty hupcl

case $1 in
  send|SEND|Send)
    # 2 paremeters needed here
    if [ $# -lt 2 ] ; then
      exit 255
    fi
    shift
    FIC=$@
    ${EXEDIR}/sz -m -v $FIC 2> ${LOG}
    exit $?
    ;;
  receive|RECEIVE|Receive)
    ${EXEDIR}/rz -v 2> ${LOG}    
    exit $?
    ;;
  *)
    exit 254
    ;;
esac

# end of ez_zmod.sh
