:
#
# @(#)cleanabt.sh - v1.0 - Clean up aborted xfer if a BBS user abort
#
# Author: Jf Gagnon
# Mar-09-1991 16h45
# Nov-16-1991 20h00 - Debug this peace of sh...
#
trap '' 1 2 3 9 15
echo "Clean things up"
#
# set -x
# some define
BBS_HOME=/usr2/bbs
CTL_FLE=${BBS_HOME}/bbsline.ctl
ABT_DIR=${BBS_HOME}/files/abort
XFR_DIR=${BBS_HOME}/files/ubxfer
TTY_LNAM=$1
TTY_NAM="`basename $TTY_LNAM`"

# Find the line number from 'CTL_FLE'
TLINE=`grep "^[^#]" ${CTL_FLE} | grep -n "${TTY_NAM}" | cut -d: -f1`
LINE=`expr ${TLINE} - 1`

# First, check if there's any file in 'XFR_DIR'
if [ -d ${XFR_DIR} ] ; then
  if [ -f ${XFR_DIR}/* ] ; then
    mv ${XFR_DIR}/* ${ABT_DIR}
  fi
fi

# In case we run in multi-user mode, check the other dir
OTHER=${XFR_DIR}${LINE}
if [ -d ${OTHER} ] ; then
  if [ -f ${OTHER}/* ] ; then
    mv ${OTHER}/* ${ABT_DIR}
  fi
fi

# end of file
