:
#
# @(#)ez_slink.sh - v1.0 - Ubbs/Sealink interface shell script
#
# Author: Jf Gagnon
# Feb-01-1991 21h40
#
LOG=ubxfer.log

# at least, one parameter required 
if [ $# -lt 1 ] ; then
  exit 255
fi
stty -clocal hupcl
case $1 in
  send|SEND|Send)
    # need 2 parameters here
    if [ $# -lt 2 ] ; then
      exit 255
    fi
    shift
    FIC=$@
    env UBBSTMP=$LOG sealink -ds $FIC
    exit $?
    ;;
  receive|RECEIVE|Receive)
    env UBBSTMP=$LOG sealink -dr
    OUT=$?
    if [ -f .sl* ] ; then
# At PEP/HST Speed, sealink choke, leave a .sl* file and return 0
      rm -f .sl*
      OUT=1
    fi
    exit ${OUT}
    ;;
  *)
    exit 254
    ;;
esac

# end of ez_slink.sh
